> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/notas-pins/25.-mutacao-salvar-nota-associada-a-talhao.md).

# 25. Mutação: Salvar "Nota" associada a "Talhão"

Esta mutação permite que você anexe uma Nota a um Campo especificado.

* Uma Nota pode ser vinculada ao Campo através de seu identificador único `fieldUuid`.&#x20;
* A coordenada da Nota pode ser definida usando o `centroid` atributo, que requer definidos `latitude` e `longitude` valores.&#x20;
* O tipo de Nota pode ser especificado usando o `tipo` atributo com valores aceitáveis de `PLANNED` ou `REAL`.&#x20;
* A descrição da Nota pode ser fornecida usando o `comment` atributo. Se a descrição precisar ser multilinha, a `comment` atributo deve conter uma string com caracteres de nova linha `\\n` para separar linhas. Por exemplo: `"Primeira linha. está aqui\\nSegunda linha está aqui.\\nTerceira linha está aqui."`.

As solicitações de exemplo podem ser encontradas abaixo:

```graphql
mutação SalvarNotaAnexadaAoCampo {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    tipo: PLANNED,
    comentário: "A nota de teste anexada ao Campo"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    dataDeCriação
    updatedDate
    tipo
    comment
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutação SalvarNotaMultilinhaAnexadaAoCampo {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    tipo: PLANNED,
    comentário: "Primeira linha. está aqui\\nSegunda linha está aqui.\\nTerceira linha está aqui."
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    dataDeCriação
    updatedDate
    tipo
    comment
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/notas-pins/25.-mutacao-salvar-nota-associada-a-talhao.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
